fuss-client - Segnalazione #559

modifica fuss-client -r -p
07/03/2018 01:39 PM - Paolo Dongilli

Status: Chiuso Start date: 07/03/2018
Priority: Normale Due date:

Assignee: Paolo Dongilli % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Inoltro questa segnalazione di Paolo B.:
Per un PC/portatile che & stato precedentemente agganciato (join) ad un server avente un indirizzo LAN uguale a quello del
server sul quale si sta rifacendo il join, non & sufficiente eseguire un preventivo fuss-client -r -p (non basta eliminare le due
chiavi krb5) perché comparira un errore DNS (spoofing) relativo al file /etc/.ssh/known_hosts.

Per risolvere il problema & necesasario eliminare anche il file known_hosts.

Per questo sarebbe opportuno che il processo previsto dall'opzione -p (purge) di fuss-client, se non crea altri problemi, preveda
anche l'eliminazione di questo file.

Associated revisions

Revision 08b0e96f - 07/20/2018 02:12 PM - Elena Grandi

Remove /root/.ssh/known_hosts on a purge. refs #559

History

#1 - 07/09/2018 04:30 PM - Simone Piccardi

La cancellazione del file comporta perd che vengano perse anche i dati relativi ad altre chiavi SSH di server remoti accettate in precedenza. Se
questo non ha un impatto significativo si pud cancellare, altrimenti va eliminata solo la chiave specifica ed & piu complicato.

#2 - 07/09/2018 04:31 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Elena Grandi

#3 - 07/16/2018 11:22 AM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

Riassegno per avere risposta alla domanda di simone, se vada bene perdere i dati di eventuali altri server remoti.

Poi ridatemi pure il ticket che ci lavoro io

#4 - 07/17/2018 02:21 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Elena Grandi

Elena Grandi ha scritto:

Riassegno per avere risposta alla domanda di simone, se vada bene perdere i dati di eventuali altri server remoti.

Accettabile per un client fuss. Ok alla cancellazione.
#5 - 07/20/2018 02:33 PM - Elena Grandi
- Status changed from Nuovo to Commenti
- Assignee changed from Elena Grandi to Paolo Dongilli

Pubblicata la versione 9.0.6 del fuss-client che aggiunge questa funzionalita

#6 - 07/24/2018 11:31 AM - Paolo Dongilli

- Status changed from Commenti to Chiuso

Testato con esito positivo. Chiudo.
